$(function () {
	var NewsApplication = window.NewsApplication;
	init(NewsApplication);
});

var init = function (NewsApplication) {
	
	var spinner = new Spinner({
		lines: 17, // The number of lines to draw
		  length: 0, // The length of each line
		  width: 2, // The line thickness
		  radius: 25, // The radius of the inner circle
		  corners: 1, // Corner roundness (0..1)
		  rotate: 17, // The rotation offset
		  direction: 1, // 1: clockwise, -1: counterclockwise
		  color: '#000', // #rgb or #rrggbb
		  speed: 1, // Rounds per second
		  trail: 100, // Afterglow percentage
		  shadow: false, // Whether to render a shadow
		  hwaccel: false, // Whether to use hardware acceleration
		  className: 'spinner', // The CSS class to assign to the spinner
		  zIndex: 2e9, // The z-index (defaults to 2000000000)
		  top: 'auto', // Top position relative to parent in px
		  left: 'auto' // Left position relative to parent in px
	});
	$(document).ajaxStart(function() {
		console.log('ajax start');
		console.log(document.getElementById('spinner'));
		console.log();
		spinner.spin(document.getElementById('spinner'));
	});
	
	$(document).ajaxComplete(function() {
		console.log('ajax complete');
		spinner.stop();
	});
	
	NewsApplication.App.addInitializer(function (options) {
		NewsApplication.Vent.trigger('app:initialized');
		NewsApplication.App.header.show(new NewsApplication.Views.Header());
	});
	NewsApplication.App.start();
};