;(function () {
	var root = this;	
	var NewsApplication = root.NewsApplication;
	var Templates = NewsApplication.Templates = {};
	
	Templates.newsTemplate = 
		'<div class="story"> \
			<p class="title large-headline"> <%= title %> </p> \
			<p class="lead-text"> <% if(lead_text) { %> <%= lead_text %> <% } %> </p> \
			<p class="end-text"> <%= publisher %> - <%= published %> <p>\
		</div>';
	
	Templates.storiesTemplate = 
		'<div id="stories-list" class="row"></div>'; 
	
	Templates.newsExtendedTemplate =
		'<div class="grid_12">\
			<p class="title large-headline"> <%= title %> </p> \
			<% if(img) { \%> \
				<img src="<%=img%>" class="max-img"> \
			<% } %> \
			<p class="lead-text"><% if(lead) { %> <%= lead %> <% } %> </p> \
			<p class="paragraph-text"><%=text%></p>\
		</div>';
	
	Templates.mapsTemplate = 
		'<div id="mapCanvas" class="img-max"></div>';
	
	Templates.headerStuffTemplate = 
		'<div id="buttonBar"> \
			<i id="settings" class="icon-settings icon3x"></i> \
			<i id="mapBtn" class="icon-globe icon3x"></i> \
		</div>\
		<nav id="filter-wrapper"> \
		<div class="nav" id="nav">\
			<ul id="categories-nav"> \
				<li id="menu-header"><p></p></li>\
				<li class="filterBtn economy" id="economy"><p class="menu-text">Economy</p></li>\
				<li class="filterBtn entertainment" id="entertainment"><p class="menu-text">Entertainment</p></li>\
				<li class="filterBtn lifestyle" id="lifestyle"><p class="menu-text">Lifestyle</p></li>\
				<li class="filterBtn news" id="news"><p class="menu-text">News</p></li>\
				<li class="filterBtn sport" id="sport"><p class="menu-text">Sport</p></li>\
				<li class="filterBtn technology" id="technology"><p class="menu-text">Technology</p></li>\
				<li id="menu-header"><p></p></li>\
				<li class="filterBtn" id="five"><p class="menu-text" >5</p></li>\
				<li class="filterBtn" id="ten"><p class="menu-text"" >10</p></li>\
				<li class="filterBtn" id="fifteen"><p class="menu-text" >15</p></li>\
				<li id="menu-header"><p></p></li>\
				<li class="filterBtn" id="show-all"><p class="menu-text" >Show all news</p></li>\
				<li class="filterBtn" id="show-local"><p class="menu-text" >Show local news</p></li>\
			</ul> \
		</div>\
	</nav>';
}).call(this);